Gecode::IntVarRanges Class Reference
Functionality by programming task » Programming models » Using integer variables and constraints » Integer variables

Range iterator for integer variables More...

`#include <int.hh>`

## Constructors and initialization

| IntVarRanges (void)
| Default constructor.
| IntVarRanges (const IntVar &x)
| Initialize with ranges for integer variable x.
void | init (const IntVar &x)
| Initialize with ranges for integer variable x.

## Additional Inherited Members

| IntVarImpFwd (void)
| Default constructor.
| IntVarImpFwd (const IntVarImp *x)
| Initialize with ranges from variable implementation x.
void | init (const IntVarImp *x)
| Initialize with ranges from variable implementation x.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
void | operator++ (void)
| Move iterator to next range (if possible).
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).

## Detailed Description

Range iterator for integer variables

Definition at line 473 of file int.hh.

## Constructor & Destructor Documentation

## IntVarRanges() [1/2]

Gecode::IntVarRanges::IntVarRanges | ( | void |  | ) |

inline

Default constructor.

Definition at line 106 of file int.hpp.

## IntVarRanges() [2/2]

Gecode::IntVarRanges::IntVarRanges | ( | const IntVar & | x | ) |

inline

Initialize with ranges for integer variable x.

Definition at line 109 of file int.hpp.

## Member Function Documentation

## init()

void Gecode::IntVarRanges::init | ( | const IntVar & | x | ) |

inline

Initialize with ranges for integer variable x.

Definition at line 113 of file int.hpp.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/var/int.hpp